# Api

## Api

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                              | HTTP request | Description         |
| ----------------------------------- | ------------ | ------------------- |
| [**api\_info\_get**](#api_info_get) | **GET** /    | Get API information |

## **api\_info\_get**

> Info api\_info\_get(pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get API information

Retrieves the API information such as API version.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

with ionoscloud.ApiClient() as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.Api(api_client)
    try:
        # Get API information
        api_response = api_instance.api_info_get()
        print(api_response)
    except ApiException as e:
        print('Exception when calling Api.api_info_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Info**](https://docs.ionos.com/python-sdk/models/info)

#### Authorization

No authorization required

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json
